package lbl.akenti.policyEngine.impl;
 
import lbl.akenti.certs.elements.AttributeInfo;
import lbl.akenti.parsers.ExpressionEvaluator;
import lbl.akenti.parsers.Result;
import lbl.akenti.policyEngine.InternalEvaluator;
import lbl.akenti.policyEngine.Runtime;

/**
  * @author Abdelilah Essiari
  **/
class DefaultInternalEvaluator extends ExpressionEvaluator implements InternalEvaluator {
  protected Runtime runtime;
  protected AttributeInfo[] infos;

  protected DefaultInternalEvaluator(Runtime runtime) {
    this.runtime = runtime;
  }
  
  public void setAttributeInfos(AttributeInfo[] infos) {
    this.infos = infos;
  }

  public AttributeInfo[] getAttributeInfos() {
    return infos;
  }

  public Result reduce(int op, String attribute, String value) {
    return Result.NULL;
  }
}
