package lbl.akenti.policyManager.widgets;

import java.awt.Color;
import javax.swing.BorderFactory;
import javax.swing.JLabel;

public class LBLLabelFactory {
  private static final Color B_COLOR = new Color(255, 255, 204);
  
  private  LBLLabelFactory() {
  }
  
  public static JLabel createHtmlLabel(String html) {
    JLabel label = new JLabel(html);
    
    label.setBorder(
    BorderFactory.createCompoundBorder(
    BorderFactory.createLineBorder(Color.black, 3),
    BorderFactory.createEmptyBorder(5, 5, 5, 5)
    )
    );
    
    label.setBackground(B_COLOR);
    label.setOpaque(true);
    return label;
  }
  
}