/*
 * DummyCertificate.java
 *
 * Created on July 28, 2004, 10:21 AM
 */

package lbl.akenti.policyEngine.check;

import java.io.IOException;
import java.text.ParseException;
import lbl.akenti.certs.AkentiCertificate;
import lbl.akenti.certs.Certificate;
import lbl.akenti.certs.elements.AkentiInputStream;
import lbl.akenti.certs.elements.AkentiOutputStream;
import org.w3c.dom.Element;

/**
 *
 * @author Tommaso Sciortino
 */
public class DummyCertificate extends AkentiCertificate {
  
  /** Creates a new instance of DummyCertificate */
  public DummyCertificate() {
    super("dummy");
  }
  
  protected void doFromXML(Element elemnt) throws ParseException {
  }
  
  protected void doRead(AkentiInputStream source) throws IOException, ParseException {
  }
  
  protected void doToText(StringBuffer sbuf) {
    sbuf.append("Dummy Cert/n");
  }
  
  protected void doToXML(Element element) {
  }
  
  protected void doWrite(AkentiOutputStream drain) throws IOException {
  }
  
  public String getHashString() {
    return "";
  }
  
  protected Certificate newInstance() {
     return new DummyCertificate();
  }
  
}
